Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.el
Class ExpressionFactoryImpl

    java.lang.Object
      javax.el.ExpressionFactory
          org.apache.struts2.el.ExpressionFactoryImpl

    public class ExpressionFactoryImpl

extends javax.el.ExpressionFactory

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: markt $
Author:
  Jacob Hookom [jacob@hookom.net]
See Also:
  `ExpressionFactory`

Constructor Summary
`ExpressionFactoryImpl()`

Method Summary
`Object` | `coerceToType(Object obj, Class type)`
`javax.el.MethodExpression` | `createMethodExpression(javax.el.ELContext context, String expression, Class<?> expectedReturnType, Class<?>[] expectedParamTypes)`
`javax.el.ValueExpression` | `createValueExpression(javax.el.ELContext context, String expression, Class expectedType)`
`javax.el.ValueExpression` | `createValueExpression(Object instance, Class expectedType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExpressionFactoryImpl

    public ExpressionFactoryImpl()

Method Detail

### coerceToType

    public Object coerceToType(Object obj,
                               Class type)

  Specified by:
    `coerceToType` in class `javax.el.ExpressionFactory`

### createMethodExpression

    public javax.el.MethodExpression createMethodExpression(javax.el.ELContext context,
                                                            String expression,
                                                            Class<?> expectedReturnType,
                                                            Class<?>[] expectedParamTypes)

  Specified by:
    `createMethodExpression` in class `javax.el.ExpressionFactory`

### createValueExpression

    public javax.el.ValueExpression createValueExpression(javax.el.ELContext context,
                                                          String expression,
                                                          Class expectedType)

  Specified by:
    `createValueExpression` in class `javax.el.ExpressionFactory`

### createValueExpression

    public javax.el.ValueExpression createValueExpression(Object instance,
                                                          Class expectedType)

  Specified by:
    `createValueExpression` in class `javax.el.ExpressionFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.